Release 3.7.2 | July 16, 2019

What’s new in this update:

  • Includes an updated version of office document viewer based on Polaris Office core
  • Terminates official support for Android 4.4 and below; now minimum version of Android is Lollipop (5.0)

Required Android Lollipop (5.0) or later. Compatible with phones and tablets on Android.

Have more questions? Submit a request

0 Comments

Article is closed for comments.